
#include "pitches.h"

// notes in the melody:
int melody[] = {
  NOTE_C4, NOTE_G3,NOTE_G3, NOTE_A3, NOTE_G3,0, NOTE_B3, NOTE_C4};

// note durations: 4 = quarter note, 8 = eighth note, etc.:
int noteDurations[] = {
  4, 8, 8, 4,4,4,4,4 };

void setup() {
  // iterate over the notes of the melody:

}

void loop() {
  // no need to repeat the melody.
  playMelody(1, 50);
  playMelody(2, 30);
  playMelody(3, 20);
  makeClickSounds(100, 20);
  makeClickSounds(200, 10);
  makeClickSounds(300, 1);
  sirene(9600);
  sirene(7000);
}

void playMelody(int speedOfPlay, int pausing){

  for (int thisNote = 0; thisNote < 8; thisNote++) {

    // to calculate the note duration, take one second 
    // divided by the note type.
    //e.g. quarter note = 1000 / 4, eighth note = 1000/8, etc.
    int noteDuration = 1000/speedOfPlay/noteDurations[thisNote];
    tone(8, melody[thisNote],noteDuration);

    // to distinguish the notes, set a minimum time between them.
    // the note's duration + 30% seems to work well:
    int pauseBetweenNotes = noteDuration * 1.30* (pausing/100);
    delay(pauseBetweenNotes);
    // stop the tone playing:
    noTone(8);
  }
}

void makeClickSounds(int howmany, int howfast){
  if ( howFast < 1 ) howFast = 1;
  if ( howmany < 1 ) howmany = 1;
  for ( int i = 0; i<howmany; i++)
  {
    digitalWrite(8, HIGH);
    delay(howFast);
    digitalWrite(8, LOW);
    delay(howFast);
  }
}

void sirene(int beats){
  //nice value is 9600, but experiment with others
  for (int i=0;i<100;i++){
    beats-=10;
    digitalWrite(8, HIGH)
      for(int i2 = 0 ; i2<beats ;i2++) //do this 100 times, so lowering this number gives a higher pitch!
        __asm__("nop\n\t"); 
    digitalWrite(8, LOW);
    for(int i2 = 0 ; i2<beats ;i2++) //do this 100 times, so lowering this number gives a higher pitch!
      __asm__("nop\n\t"); 
  }
}









